- [CMSBundle](#cmsbundle)
- [Cache](#cache)
- [CatalogBundle](#catalogbundle)
- [CheckoutBundle](#checkoutbundle)
- [ConsentBundle](#consentbundle)
- [FrontendLocalizationBundle](#frontendlocalizationbundle)
- [InventoryBundle](#inventorybundle)
- [OrderBundle](#orderbundle)
- [PaymentBundle](#paymentbundle)
- [PaymentTermBundle](#paymenttermbundle)
- [PricingBundle](#pricingbundle)
- [ProductBundle](#productbundle)
- [PromotionBundle](#promotionbundle)
- [RFPBundle](#rfpbundle)
- [RedirectBundle](#redirectbundle)
- [SEOBundle](#seobundle)
- [SaleBundle](#salebundle)
- [ShippingBundle](#shippingbundle)
- [ShoppingListBundle](#shoppinglistbundle)
- [TaxBundle](#taxbundle)
- [VisibilityBundle](#visibilitybundle)
- [WebCatalogBundle](#webcatalogbundle)
- [WebsiteSearchBundle](#websitesearchbundle)

CMSBundle
---------
* The `ContentWidgetTypeExtension::__construct(TranslatorInterface $translator, ContentWidgetTypeRegistry $contentWidgetTypeRegistry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CMSBundle/Twig/ContentWidgetTypeExtension.php#L26 "Oro\Bundle\CMSBundle\Twig\ContentWidgetTypeExtension")</sup> method was changed to `ContentWidgetTypeExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/CMSBundle/Twig/ContentWidgetTypeExtension.php#L25 "Oro\Bundle\CMSBundle\Twig\ContentWidgetTypeExtension")</sup>
* The `ContentWidgetRenderer::__construct(ContentWidgetTypeRegistry $contentWidgetTypeRegistry, RegistryInterface $doctrine, Environment $twig)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CMSBundle/ContentWidget/ContentWidgetRenderer.php#L39 "Oro\Bundle\CMSBundle\ContentWidget\ContentWidgetRenderer")</sup> method was changed to `ContentWidgetRenderer::__construct(ManagerRegistry $doctrine, LayoutManager $layoutManager, ContentWidgetTypeRegistry $contentWidgetTypeRegistry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/CMSBundle/ContentWidget/ContentWidgetRenderer.php#L40 "Oro\Bundle\CMSBundle\ContentWidget\ContentWidgetRenderer")</sup>
* The following methods in class `ContentWidget`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CMSBundle/Entity/ContentWidget.php#L191 "Oro\Bundle\CMSBundle\Entity\ContentWidget")</sup> were removed:
   - `getTemplate`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CMSBundle/Entity/ContentWidget.php#L191 "Oro\Bundle\CMSBundle\Entity\ContentWidget::getTemplate")</sup>
   - `setTemplate`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CMSBundle/Entity/ContentWidget.php#L200 "Oro\Bundle\CMSBundle\Entity\ContentWidget::setTemplate")</sup>
* The `WYSIWYGAttributeType::getType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CMSBundle/Attribute/Type/WYSIWYGAttributeType.php#L30 "Oro\Bundle\CMSBundle\Attribute\Type\WYSIWYGAttributeType::getType")</sup> method was removed.
* The `ContentWidget::$template`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CMSBundle/Entity/ContentWidget.php#L107 "Oro\Bundle\CMSBundle\Entity\ContentWidget::$template")</sup> property was removed.
* The `ContentWidgetTypeInterface::getDefaultTemplate`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/CMSBundle/ContentWidget/ContentWidgetTypeInterface.php#L55 "Oro\Bundle\CMSBundle\ContentWidget\ContentWidgetTypeInterface::getDefaultTemplate")</sup> interface method was added.

Cache
-----
* The `DataProviderCacheCleaner`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Component/Cache/Layout/DataProviderCacheCleaner.php#L12 "Oro\Component\Cache\Layout\DataProviderCacheCleaner")</sup> class was removed.

CatalogBundle
-------------
* The following properties in class `CategoriesProductsProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CatalogBundle/Layout/DataProvider/CategoriesProductsProvider.php#L20 "Oro\Bundle\CatalogBundle\Layout\DataProvider\CategoriesProductsProvider")</sup> were removed:
   - `$data`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CatalogBundle/Layout/DataProvider/CategoriesProductsProvider.php#L20 "Oro\Bundle\CatalogBundle\Layout\DataProvider\CategoriesProductsProvider::$data")</sup>
   - `$registry`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CatalogBundle/Layout/DataProvider/CategoriesProductsProvider.php#L30 "Oro\Bundle\CatalogBundle\Layout\DataProvider\CategoriesProductsProvider::$registry")</sup>
* The `CategoryProvider::setLocalizationHelper`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CatalogBundle/Layout/DataProvider/CategoryProvider.php#L65 "Oro\Bundle\CatalogBundle\Layout\DataProvider\CategoryProvider::setLocalizationHelper")</sup> method was removed.
* The `AbstractFallbackCategoryTypeExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CatalogBundle/Form/Extension/AbstractFallbackCategoryTypeExtension.php#L27 "Oro\Bundle\CatalogBundle\Form\Extension\AbstractFallbackCategoryTypeExtension::getExtendedType")</sup> method was removed.
* The `ProductFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CatalogBundle/Form/Extension/ProductFormExtension.php#L35 "Oro\Bundle\CatalogBundle\Form\Extension\ProductFormExtension::getExtendedType")</sup> method was removed.
* The `ProductStepOneFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CatalogBundle/Form/Extension/ProductStepOneFormExtension.php#L32 "Oro\Bundle\CatalogBundle\Form\Extension\ProductStepOneFormExtension::getExtendedType")</sup> method was removed.
* The `CategoryProvider::__construct(RequestProductHandler $requestProductHandler, ManagerRegistry $registry, CategoryTreeProvider $categoryTreeProvider, TokenAccessorInterface $tokenAccessor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CatalogBundle/Layout/DataProvider/CategoryProvider.php#L50 "Oro\Bundle\CatalogBundle\Layout\DataProvider\CategoryProvider")</sup> method was changed to `CategoryProvider::__construct(RequestProductHandler $requestProductHandler, ManagerRegistry $registry, CategoryTreeProvider $categoryTreeProvider, TokenAccessorInterface $tokenAccessor, LocalizationHelper $localizationHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/CatalogBundle/Layout/DataProvider/CategoryProvider.php#L55 "Oro\Bundle\CatalogBundle\Layout\DataProvider\CategoryProvider")</sup>
* The `CategoryImportExportHelper::__construct(RegistryInterface $doctrine)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CatalogBundle/ImportExport/Helper/CategoryImportExportHelper.php#L28 "Oro\Bundle\CatalogBundle\ImportExport\Helper\CategoryImportExportHelper")</sup> method was changed to `CategoryImportExportHelper::__construct(ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/CatalogBundle/ImportExport/Helper/CategoryImportExportHelper.php#L28 "Oro\Bundle\CatalogBundle\ImportExport\Helper\CategoryImportExportHelper")</sup>
* The `CategoryEntityListener::__construct(ProductIndexScheduler $productIndexScheduler, DataProviderCacheCleaner $cacheCleaner)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CatalogBundle/Entity/EntityListener/CategoryEntityListener.php#L22 "Oro\Bundle\CatalogBundle\Entity\EntityListener\CategoryEntityListener")</sup> method was changed to `CategoryEntityListener::__construct(ProductIndexScheduler $productIndexScheduler, CacheProvider $categoryCache)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/CatalogBundle/Entity/EntityListener/CategoryEntityListener.php#L26 "Oro\Bundle\CatalogBundle\Entity\EntityListener\CategoryEntityListener")</sup>

CheckoutBundle
--------------
* The following classes were removed:
   - `CheckoutCompilerPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CheckoutBundle/DependencyInjection/Compiler/CheckoutCompilerPass.php#L9 "Oro\Bundle\CheckoutBundle\DependencyInjection\Compiler\CheckoutCompilerPass")</sup>
   - `CheckoutStateDiffCompilerPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CheckoutBundle/DependencyInjection/Compiler/CheckoutStateDiffCompilerPass.php#L9 "Oro\Bundle\CheckoutBundle\DependencyInjection\Compiler\CheckoutStateDiffCompilerPass")</sup>
* The `CheckoutStateDiffMapperRegistry::addMapper`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CheckoutBundle/WorkflowState/Mapper/CheckoutStateDiffMapperRegistry.php#L13 "Oro\Bundle\CheckoutBundle\WorkflowState\Mapper\CheckoutStateDiffMapperRegistry::addMapper")</sup> method was removed.
* The `CheckoutSubtotalProvider::getName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CheckoutBundle/Provider/CheckoutSubtotalProvider.php#L79 "Oro\Bundle\CheckoutBundle\Provider\CheckoutSubtotalProvider::getName")</sup> method was removed.
* The `CheckoutLineItemConverterRegistry::addConverter`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CheckoutBundle/Model/CheckoutLineItemConverterRegistry.php#L52 "Oro\Bundle\CheckoutBundle\Model\CheckoutLineItemConverterRegistry::addConverter")</sup> method was removed.
* The `CheckoutWorkflowStateExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CheckoutBundle/Form/Extension/CheckoutWorkflowStateExtension.php#L35 "Oro\Bundle\CheckoutBundle\Form\Extension\CheckoutWorkflowStateExtension::getExtendedType")</sup> method was removed.
* The `CheckoutLineItemsManager::addProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CheckoutBundle/DataProvider/Manager/CheckoutLineItemsManager.php#L69 "Oro\Bundle\CheckoutBundle\DataProvider\Manager\CheckoutLineItemsManager::addProvider")</sup> method was removed.
* The following methods in class `CheckoutVoter`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CheckoutBundle/Acl/Voter/CheckoutVoter.php#L30 "Oro\Bundle\CheckoutBundle\Acl\Voter\CheckoutVoter")</sup> were removed:
   - `supportsClass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CheckoutBundle/Acl/Voter/CheckoutVoter.php#L30 "Oro\Bundle\CheckoutBundle\Acl\Voter\CheckoutVoter::supportsClass")</sup>
   - `getPermissionForAttribute`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CheckoutBundle/Acl/Voter/CheckoutVoter.php#L69 "Oro\Bundle\CheckoutBundle\Acl\Voter\CheckoutVoter::getPermissionForAttribute")</sup>
   - `getContainer`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CheckoutBundle/Acl/Voter/CheckoutVoter.php#L77 "Oro\Bundle\CheckoutBundle\Acl\Voter\CheckoutVoter::getContainer")</sup>
   - `getAuthorizationChecker`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CheckoutBundle/Acl/Voter/CheckoutVoter.php#L89 "Oro\Bundle\CheckoutBundle\Acl\Voter\CheckoutVoter::getAuthorizationChecker")</sup>
* The `CheckoutStateDiffMapperRegistry::getMapper($name)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CheckoutBundle/WorkflowState/Mapper/CheckoutStateDiffMapperRegistry.php#L23 "Oro\Bundle\CheckoutBundle\WorkflowState\Mapper\CheckoutStateDiffMapperRegistry")</sup> method was changed to `CheckoutStateDiffMapperRegistry::getMapper(string $name)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/CheckoutBundle/WorkflowState/Mapper/CheckoutStateDiffMapperRegistry.php#L33 "Oro\Bundle\CheckoutBundle\WorkflowState\Mapper\CheckoutStateDiffMapperRegistry")</sup>
* The `CheckoutLineItemConverterRegistry::__construct(LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CheckoutBundle/Model/CheckoutLineItemConverterRegistry.php#L19 "Oro\Bundle\CheckoutBundle\Model\CheckoutLineItemConverterRegistry")</sup> method was changed to `CheckoutLineItemConverterRegistry::__construct(iterable $converters, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/CheckoutBundle/Model/CheckoutLineItemConverterRegistry.php#L23 "Oro\Bundle\CheckoutBundle\Model\CheckoutLineItemConverterRegistry")</sup>
* The `CheckoutLineItemsManager::__construct(CheckoutLineItemsConverter $checkoutLineItemsConverter, UserCurrencyManager $userCurrencyManager, ConfigManager $configManager, AuthorizationCheckerInterface $authorizationChecker)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CheckoutBundle/DataProvider/Manager/CheckoutLineItemsManager.php#L54 "Oro\Bundle\CheckoutBundle\DataProvider\Manager\CheckoutLineItemsManager")</sup> method was changed to `CheckoutLineItemsManager::__construct(iterable $providers, CheckoutLineItemsConverter $checkoutLineItemsConverter, UserCurrencyManager $userCurrencyManager, ConfigManager $configManager, AuthorizationCheckerInterface $authorizationChecker)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/CheckoutBundle/DataProvider/Manager/CheckoutLineItemsManager.php#L55 "Oro\Bundle\CheckoutBundle\DataProvider\Manager\CheckoutLineItemsManager")</sup>
* The `CheckoutVoter::$supportedAttributes`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/CheckoutBundle/Acl/Voter/CheckoutVoter.php#L23 "Oro\Bundle\CheckoutBundle\Acl\Voter\CheckoutVoter::$supportedAttributes")</sup> property was removed.

ConsentBundle
-------------
* The `ContentNodeSelectType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ConsentBundle/Form/Type/ContentNodeSelectType.php#L16 "Oro\Bundle\ConsentBundle\Form\Type\ContentNodeSelectType")</sup> class was removed.
* The `ConsentConfigConverter::__construct(RegistryInterface $doctrine)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ConsentBundle/SystemConfig/ConsentConfigConverter.php#L22 "Oro\Bundle\ConsentBundle\SystemConfig\ConsentConfigConverter")</sup> method was changed to `ConsentConfigConverter::__construct(ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ConsentBundle/SystemConfig/ConsentConfigConverter.php#L22 "Oro\Bundle\ConsentBundle\SystemConfig\ConsentConfigConverter")</sup>
* The `CustomerUserConsentProvider::__construct(CmsPageHelper $cmsPageHelper, EnabledConsentProvider $enabledConsentProvider, RegistryInterface $doctrine, ConsentContextProviderInterface $consentContextProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ConsentBundle/Provider/CustomerUserConsentProvider.php#L35 "Oro\Bundle\ConsentBundle\Provider\CustomerUserConsentProvider")</sup> method was changed to `CustomerUserConsentProvider::__construct(CmsPageHelper $cmsPageHelper, EnabledConsentProvider $enabledConsentProvider, ManagerRegistry $doctrine, ConsentContextProviderInterface $consentContextProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ConsentBundle/Provider/CustomerUserConsentProvider.php#L35 "Oro\Bundle\ConsentBundle\Provider\CustomerUserConsentProvider")</sup>
* The `FieldChoiceTypeExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ConsentBundle/Form/Extension/FieldChoiceTypeExtension.php#L19 "Oro\Bundle\ConsentBundle\Form\Extension\FieldChoiceTypeExtension::getExtendedType")</sup> method was removed.
* The `FrontendCustomerUserProfileExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ConsentBundle/Form/Extension/FrontendCustomerUserProfileExtension.php#L69 "Oro\Bundle\ConsentBundle\Form\Extension\FrontendCustomerUserProfileExtension::getExtendedType")</sup> method was removed.
* The `FrontendCustomerUserRegistrationExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ConsentBundle/Form/Extension/FrontendCustomerUserRegistrationExtension.php#L50 "Oro\Bundle\ConsentBundle\Form\Extension\FrontendCustomerUserRegistrationExtension::getExtendedType")</sup> method was removed.
* The `FrontendRfqExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ConsentBundle/Form/Extension/FrontendRfqExtension.php#L74 "Oro\Bundle\ConsentBundle\Form\Extension\FrontendRfqExtension::getExtendedType")</sup> method was removed.

FrontendLocalizationBundle
--------------------------
* The `UserLocalizationManager::setCurrentLocalization(Localization $localization, Website $website = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/FrontendLocalizationBundle/Manager/UserLocalizationManager.php#L158 "Oro\Bundle\FrontendLocalizationBundle\Manager\UserLocalizationManager")</sup> method was changed to `UserLocalizationManager::setCurrentLocalization(Localization $localization, Website $website = null, $forceSessionStart = false)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/FrontendLocalizationBundle/Manager/UserLocalizationManager.php#L160 "Oro\Bundle\FrontendLocalizationBundle\Manager\UserLocalizationManager")</sup>

InventoryBundle
---------------
* The `CategoryUpcomingFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/InventoryBundle/Form/Extension/CategoryUpcomingFormExtension.php#L26 "Oro\Bundle\InventoryBundle\Form\Extension\CategoryUpcomingFormExtension::getExtendedType")</sup> method was removed.
* The `CheckoutShipUntilFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/InventoryBundle/Form/Extension/CheckoutShipUntilFormExtension.php#L53 "Oro\Bundle\InventoryBundle\Form\Extension\CheckoutShipUntilFormExtension::getExtendedType")</sup> method was removed.
* The `InventoryLevelExportTemplateTypeExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/InventoryBundle/Form/Extension/InventoryLevelExportTemplateTypeExtension.php#L27 "Oro\Bundle\InventoryBundle\Form\Extension\InventoryLevelExportTemplateTypeExtension::getExtendedType")</sup> method was removed.
* The `InventoryLevelExportTypeExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/InventoryBundle/Form/Extension/InventoryLevelExportTypeExtension.php#L25 "Oro\Bundle\InventoryBundle\Form\Extension\InventoryLevelExportTypeExtension::getExtendedType")</sup> method was removed.
* The `ProductBackOrderFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/InventoryBundle/Form/Extension/ProductBackOrderFormExtension.php#L17 "Oro\Bundle\InventoryBundle\Form\Extension\ProductBackOrderFormExtension::getExtendedType")</sup> method was removed.
* The `ProductDecrementQuantityFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/InventoryBundle/Form/Extension/ProductDecrementQuantityFormExtension.php#L17 "Oro\Bundle\InventoryBundle\Form\Extension\ProductDecrementQuantityFormExtension::getExtendedType")</sup> method was removed.
* The `ProductHighlightLowInventoryFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/InventoryBundle/Form/Extension/ProductHighlightLowInventoryFormExtension.php#L18 "Oro\Bundle\InventoryBundle\Form\Extension\ProductHighlightLowInventoryFormExtension::getExtendedType")</sup> method was removed.
* The `ProductInventoryThresholdFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/InventoryBundle/Form/Extension/ProductInventoryThresholdFormExtension.php#L21 "Oro\Bundle\InventoryBundle\Form\Extension\ProductInventoryThresholdFormExtension::getExtendedType")</sup> method was removed.
* The `ProductLowInventoryThresholdFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/InventoryBundle/Form/Extension/ProductLowInventoryThresholdFormExtension.php#L22 "Oro\Bundle\InventoryBundle\Form\Extension\ProductLowInventoryThresholdFormExtension::getExtendedType")</sup> method was removed.
* The `ProductManageInventoryFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/InventoryBundle/Form/Extension/ProductManageInventoryFormExtension.php#L17 "Oro\Bundle\InventoryBundle\Form\Extension\ProductManageInventoryFormExtension::getExtendedType")</sup> method was removed.
* The `ProductQuantityToOrderFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/InventoryBundle/Form/Extension/ProductQuantityToOrderFormExtension.php#L18 "Oro\Bundle\InventoryBundle\Form\Extension\ProductQuantityToOrderFormExtension::getExtendedType")</sup> method was removed.
* The `ProductUpcomingFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/InventoryBundle/Form/Extension/ProductUpcomingFormExtension.php#L26 "Oro\Bundle\InventoryBundle\Form\Extension\ProductUpcomingFormExtension::getExtendedType")</sup> method was removed.

OrderBundle
-----------
* The `CurrencyCheckerProvider::__construct(RegistryInterface $doctrine)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/OrderBundle/Provider/CurrencyCheckerProvider.php#L18 "Oro\Bundle\OrderBundle\Provider\CurrencyCheckerProvider")</sup> method was changed to `CurrencyCheckerProvider::__construct(ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/OrderBundle/Provider/CurrencyCheckerProvider.php#L21 "Oro\Bundle\OrderBundle\Provider\CurrencyCheckerProvider")</sup>
* The `LatestOrderedProductsInfoProvider::__construct(RegistryInterface $registry, OrderStatusesProviderInterface $availableOrderStatusesProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/OrderBundle/Provider/LatestOrderedProductsInfoProvider.php#L29 "Oro\Bundle\OrderBundle\Provider\LatestOrderedProductsInfoProvider")</sup> method was changed to `LatestOrderedProductsInfoProvider::__construct(ManagerRegistry $registry, OrderStatusesProviderInterface $availableOrderStatusesProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/OrderBundle/Provider/LatestOrderedProductsInfoProvider.php#L29 "Oro\Bundle\OrderBundle\Provider\LatestOrderedProductsInfoProvider")</sup>
* The `DiscountSubtotalProvider::getName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/OrderBundle/Provider/DiscountSubtotalProvider.php#L61 "Oro\Bundle\OrderBundle\Provider\DiscountSubtotalProvider::getName")</sup> method was removed.
* The `ShippingCostSubtotalProvider::getName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/OrderBundle/Provider/ShippingCostSubtotalProvider.php#L51 "Oro\Bundle\OrderBundle\Provider\ShippingCostSubtotalProvider::getName")</sup> method was removed.

PaymentBundle
-------------
* The following classes were removed:
   - `CompositePaymentMethodProviderCompilerPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PaymentBundle/DependencyInjection/Compiler/CompositePaymentMethodProviderCompilerPass.php#L9 "Oro\Bundle\PaymentBundle\DependencyInjection\Compiler\CompositePaymentMethodProviderCompilerPass")</sup>
   - `PaymentMethodViewProvidersPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PaymentBundle/DependencyInjection/Compiler/PaymentMethodViewProvidersPass.php#L9 "Oro\Bundle\PaymentBundle\DependencyInjection\Compiler\PaymentMethodViewProvidersPass")</sup>
   - `SupportsEntityPaymentContextFactoriesPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PaymentBundle/DependencyInjection/Compiler/SupportsEntityPaymentContextFactoriesPass.php#L9 "Oro\Bundle\PaymentBundle\DependencyInjection\Compiler\SupportsEntityPaymentContextFactoriesPass")</sup>
* The `CompositePaymentMethodViewProvider::addProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PaymentBundle/Method/View/CompositePaymentMethodViewProvider.php#L17 "Oro\Bundle\PaymentBundle\Method\View\CompositePaymentMethodViewProvider::addProvider")</sup> method was removed.
* The `CompositePaymentMethodProvider::addProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PaymentBundle/Method/Provider/CompositePaymentMethodProvider.php#L15 "Oro\Bundle\PaymentBundle\Method\Provider\CompositePaymentMethodProvider::addProvider")</sup> method was removed.
* The `CompositeSupportsEntityPaymentContextFactory::__construct(array $factories)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PaymentBundle/Context/Factory/CompositeSupportsEntityPaymentContextFactory.php#L17 "Oro\Bundle\PaymentBundle\Context\Factory\CompositeSupportsEntityPaymentContextFactory")</sup> method was changed to `CompositeSupportsEntityPaymentContextFactory::__construct(iterable $factories)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PaymentBundle/Context/Factory/CompositeSupportsEntityPaymentContextFactory.php#L18 "Oro\Bundle\PaymentBundle\Context\Factory\CompositeSupportsEntityPaymentContextFactory")</sup>

PaymentTermBundle
-----------------
* The `PaymentTermAclExtension`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PaymentTermBundle/Form/Extension/PaymentTermAclExtension.php#L10 "Oro\Bundle\PaymentTermBundle\Form\Extension\PaymentTermAclExtension")</sup> class was removed.
* The `CustomerFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PaymentTermBundle/Form/Extension/CustomerFormExtension.php#L83 "Oro\Bundle\PaymentTermBundle\Form\Extension\CustomerFormExtension::getExtendedType")</sup> method was removed.
* The `PaymentTermExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PaymentTermBundle/Form/Extension/PaymentTermExtension.php#L79 "Oro\Bundle\PaymentTermBundle\Form\Extension\PaymentTermExtension::getExtendedType")</sup> method was removed.

PricingBundle
-------------
* The `LexemeCircularReferenceValidator::__construct(ExpressionParser $expressionParser, RegistryInterface $doctrine)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/Validator/Constraints/LexemeCircularReferenceValidator.php#L55 "Oro\Bundle\PricingBundle\Validator\Constraints\LexemeCircularReferenceValidator")</sup> method was changed to `LexemeCircularReferenceValidator::__construct(ExpressionParser $expressionParser, ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/Validator/Constraints/LexemeCircularReferenceValidator.php#L55 "Oro\Bundle\PricingBundle\Validator\Constraints\LexemeCircularReferenceValidator")</sup>
* The `PriceForProductUnitExistsValidator::__construct(RegistryInterface $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/Validator/Constraints/PriceForProductUnitExistsValidator.php#L25 "Oro\Bundle\PricingBundle\Validator\Constraints\PriceForProductUnitExistsValidator")</sup> method was changed to `PriceForProductUnitExistsValidator::__construct(ManagerRegistry $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/Validator/Constraints/PriceForProductUnitExistsValidator.php#L25 "Oro\Bundle\PricingBundle\Validator\Constraints\PriceForProductUnitExistsValidator")</sup>
* The `PriceListConfigConverter::__construct(RegistryInterface $doctrine, $priceListClassName)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/SystemConfig/PriceListConfigConverter.php#L28 "Oro\Bundle\PricingBundle\SystemConfig\PriceListConfigConverter")</sup> method was changed to `PriceListConfigConverter::__construct(ManagerRegistry $doctrine, $priceListClassName)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/SystemConfig/PriceListConfigConverter.php#L27 "Oro\Bundle\PricingBundle\SystemConfig\PriceListConfigConverter")</sup>
* The `ShardManager::setRegistry(RegistryInterface $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/Sharding/ShardManager.php#L421 "Oro\Bundle\PricingBundle\Sharding\ShardManager")</sup> method was changed to `ShardManager::setRegistry(ManagerRegistry $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/Sharding/ShardManager.php#L421 "Oro\Bundle\PricingBundle\Sharding\ShardManager")</sup>
* The `CombinedPriceListProvider::__construct(ManagerRegistry $registry, EventDispatcherInterface $eventDispatcher)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/Provider/CombinedPriceListProvider.php#L46 "Oro\Bundle\PricingBundle\Provider\CombinedPriceListProvider")</sup> method was changed to `CombinedPriceListProvider::__construct(ManagerRegistry $registry, EventDispatcherInterface $eventDispatcher, StrategyRegister $strategyRegister)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/Provider/CombinedPriceListProvider.php#L53 "Oro\Bundle\PricingBundle\Provider\CombinedPriceListProvider")</sup>
* The `PriceRuleLexemeTriggerHandler::__construct(PriceListTriggerHandler $priceListTriggerHandler, RegistryInterface $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/Model/PriceRuleLexemeTriggerHandler.php#L32 "Oro\Bundle\PricingBundle\Model\PriceRuleLexemeTriggerHandler")</sup> method was changed to `PriceRuleLexemeTriggerHandler::__construct(PriceListTriggerHandler $priceListTriggerHandler, ManagerRegistry $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/Model/PriceRuleLexemeTriggerHandler.php#L32 "Oro\Bundle\PricingBundle\Model\PriceRuleLexemeTriggerHandler")</sup>
* The `ProductPriceWriter::__construct(RegistryInterface $registry, EventDispatcherInterface $eventDispatcher, ContextRegistry $contextRegistry, LoggerInterface $logger, PriceManager $priceManager, OptionalListenerManager $listenerManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/ImportExport/Writer/ProductPriceWriter.php#L40 "Oro\Bundle\PricingBundle\ImportExport\Writer\ProductPriceWriter")</sup> method was changed to `ProductPriceWriter::__construct(ManagerRegistry $registry, EventDispatcherInterface $eventDispatcher, ContextRegistry $contextRegistry, LoggerInterface $logger, PriceManager $priceManager, OptionalListenerManager $listenerManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/ImportExport/Writer/ProductPriceWriter.php#L40 "Oro\Bundle\PricingBundle\ImportExport\Writer\ProductPriceWriter")</sup>
* The `PriceAttributesProductFormExtension::__construct(RegistryInterface $registry, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/Form/Extension/PriceAttributesProductFormExtension.php#L41 "Oro\Bundle\PricingBundle\Form\Extension\PriceAttributesProductFormExtension")</sup> method was changed to `PriceAttributesProductFormExtension::__construct(ManagerRegistry $registry, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/Form/Extension/PriceAttributesProductFormExtension.php#L41 "Oro\Bundle\PricingBundle\Form\Extension\PriceAttributesProductFormExtension")</sup>
* The `WebsiteSearchProductPriceIndexerListener::__construct(WebsiteContextManager $websiteContextManager, RegistryInterface $doctrine, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/EventListener/WebsiteSearchProductPriceIndexerListener.php#L47 "Oro\Bundle\PricingBundle\EventListener\WebsiteSearchProductPriceIndexerListener")</sup> method was changed to `WebsiteSearchProductPriceIndexerListener::__construct(WebsiteContextManager $websiteContextManager, ManagerRegistry $doctrine, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/EventListener/WebsiteSearchProductPriceIndexerListener.php#L47 "Oro\Bundle\PricingBundle\EventListener\WebsiteSearchProductPriceIndexerListener")</sup>
* The `CombinedPriceListCreateEvent::__construct(CombinedPriceList $combinedPriceList)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/Event/CombinedPriceList/CombinedPriceListCreateEvent.php#L21 "Oro\Bundle\PricingBundle\Event\CombinedPriceList\CombinedPriceListCreateEvent")</sup> method was changed to `CombinedPriceListCreateEvent::__construct(CombinedPriceList $combinedPriceList, array $options = [])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/Event/CombinedPriceList/CombinedPriceListCreateEvent.php#L25 "Oro\Bundle\PricingBundle\Event\CombinedPriceList\CombinedPriceListCreateEvent")</sup>
* The `AbstractRuleEntityListener::__construct(PriceRuleLexemeTriggerHandler $priceRuleLexemeTriggerHandler, FieldsProviderInterface $fieldsProvider, RegistryInterface $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/Entity/EntityListener/AbstractRuleEntityListener.php#L35 "Oro\Bundle\PricingBundle\Entity\EntityListener\AbstractRuleEntityListener")</sup> method was changed to `AbstractRuleEntityListener::__construct(PriceRuleLexemeTriggerHandler $priceRuleLexemeTriggerHandler, FieldsProviderInterface $fieldsProvider, ManagerRegistry $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/Entity/EntityListener/AbstractRuleEntityListener.php#L35 "Oro\Bundle\PricingBundle\Entity\EntityListener\AbstractRuleEntityListener")</sup>
* The `ImportExportResultListener::__construct(RegistryInterface $registry, PriceRuleLexemeTriggerHandler $lexemeTriggerHandler, PriceListTriggerHandler $priceListTriggerHandler)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/Entity/EntityListener/ImportExportResultListener.php#L31 "Oro\Bundle\PricingBundle\Entity\EntityListener\ImportExportResultListener")</sup> method was changed to `ImportExportResultListener::__construct(ManagerRegistry $registry, PriceRuleLexemeTriggerHandler $lexemeTriggerHandler, PriceListTriggerHandler $priceListTriggerHandler)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/Entity/EntityListener/ImportExportResultListener.php#L31 "Oro\Bundle\PricingBundle\Entity\EntityListener\ImportExportResultListener")</sup>
* The `ProductPriceCPLEntityListener::__construct(ExtraActionEntityStorageInterface $extraActionsStorage, RegistryInterface $registry, PriceListTriggerHandler $priceListTriggerHandler, ShardManager $shardManager, EventDispatcherInterface $eventDispatcher)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/Entity/EntityListener/ProductPriceCPLEntityListener.php#L60 "Oro\Bundle\PricingBundle\Entity\EntityListener\ProductPriceCPLEntityListener")</sup> method was changed to `ProductPriceCPLEntityListener::__construct(ExtraActionEntityStorageInterface $extraActionsStorage, ManagerRegistry $registry, PriceListTriggerHandler $priceListTriggerHandler, ShardManager $shardManager, EventDispatcherInterface $eventDispatcher)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/Entity/EntityListener/ProductPriceCPLEntityListener.php#L60 "Oro\Bundle\PricingBundle\Entity\EntityListener\ProductPriceCPLEntityListener")</sup>
* The `PriceListToProductDuplicator::__construct(RegistryInterface $registry, InsertFromSelectQueryExecutor $insertQueryExecutor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/Duplicator/PriceListToProductDuplicator.php#L31 "Oro\Bundle\PricingBundle\Duplicator\PriceListToProductDuplicator")</sup> method was changed to `PriceListToProductDuplicator::__construct(ManagerRegistry $registry, InsertFromSelectQueryExecutor $insertQueryExecutor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/Duplicator/PriceListToProductDuplicator.php#L31 "Oro\Bundle\PricingBundle\Duplicator\PriceListToProductDuplicator")</sup>
* The `PriceListRecalculateCommand::__construct(ManagerRegistry $registry, ProductPriceBuilder $priceBuilder, ShardQueryExecutorInterface $queryExecutor, DependentPriceListProvider $dependentPriceListProvider, CombinedPriceListTriggerHandler $triggerHandler, StrategyRegister $strategyRegister, CombinedPriceListsBuilderFacade $builder, EntityTriggerManager $databaseTriggerManager, PriceListProductAssignmentBuilder $assignmentBuilder)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/Command/PriceListRecalculateCommand.php#L84 "Oro\Bundle\PricingBundle\Command\PriceListRecalculateCommand")</sup> method was changed to `PriceListRecalculateCommand::__construct(ManagerRegistry $registry, ProductPriceBuilder $priceBuilder, DependentPriceListProvider $dependentPriceListProvider, CombinedPriceListTriggerHandler $triggerHandler, StrategyRegister $strategyRegister, CombinedPriceListsBuilderFacade $builder, EntityTriggerManager $databaseTriggerManager, PriceListProductAssignmentBuilder $assignmentBuilder)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/Command/PriceListRecalculateCommand.php#L93 "Oro\Bundle\PricingBundle\Command\PriceListRecalculateCommand")</sup>
* The `CombinedPriceListActivationPlanBuilder::__construct(DoctrineHelper $doctrineHelper, PriceListScheduleResolver $schedulerResolver, CombinedPriceListProvider $combinedPriceListProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/Builder/CombinedPriceListActivationPlanBuilder.php#L79 "Oro\Bundle\PricingBundle\Builder\CombinedPriceListActivationPlanBuilder")</sup> method was changed to `CombinedPriceListActivationPlanBuilder::__construct(DoctrineHelper $doctrineHelper, PriceListScheduleResolver $schedulerResolver, CombinedPriceListProvider $combinedPriceListProvider, CombinedPriceListRelationHelperInterface $relationHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/Builder/CombinedPriceListActivationPlanBuilder.php#L92 "Oro\Bundle\PricingBundle\Builder\CombinedPriceListActivationPlanBuilder")</sup>
* The `CombinedPriceListsBuilder::__construct(ConfigManager $configManager, PriceListCollectionProvider $priceListCollectionProvider, CombinedPriceListProvider $combinedPriceListProvider, CombinedPriceListGarbageCollector $garbageCollector, CombinedPriceListScheduleResolver $scheduleResolver, StrategyRegister $priceStrategyRegister, CombinedPriceListTriggerHandler $triggerHandler, WebsiteCombinedPriceListsBuilder $builder)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/Builder/CombinedPriceListsBuilder.php#L76 "Oro\Bundle\PricingBundle\Builder\CombinedPriceListsBuilder")</sup> method was changed to `CombinedPriceListsBuilder::__construct(Registry $registry, ConfigManager $configManager, PriceListCollectionProvider $priceListCollectionProvider, CombinedPriceListProvider $combinedPriceListProvider, CombinedPriceListGarbageCollector $garbageCollector, CombinedPriceListScheduleResolver $scheduleResolver, StrategyRegister $priceStrategyRegister, CombinedPriceListTriggerHandler $triggerHandler, WebsiteCombinedPriceListsBuilder $builder)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/Builder/CombinedPriceListsBuilder.php#L89 "Oro\Bundle\PricingBundle\Builder\CombinedPriceListsBuilder")</sup>
* The `PriceListProductAssignmentBuilder::__construct(ManagerRegistry $registry, InsertFromSelectQueryExecutor $insertFromSelectQueryExecutor, ProductAssignmentRuleCompiler $ruleCompiler, EventDispatcherInterface $eventDispatcher, ShardManager $shardManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/Builder/PriceListProductAssignmentBuilder.php#L54 "Oro\Bundle\PricingBundle\Builder\PriceListProductAssignmentBuilder")</sup> method was changed to `PriceListProductAssignmentBuilder::__construct(ManagerRegistry $registry, InsertQueryExecutorInterface $insertQueryExecutor, ProductAssignmentRuleCompiler $ruleCompiler, EventDispatcherInterface $eventDispatcher, ShardManager $shardManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/Builder/PriceListProductAssignmentBuilder.php#L54 "Oro\Bundle\PricingBundle\Builder\PriceListProductAssignmentBuilder")</sup>
* The `PriceListProcessor::__construct(PriceListTriggerFactory $triggerFactory, ManagerRegistry $registry, CombinedPriceListsBuilderFacade $combinedPriceListsBuilderFacade, LoggerInterface $logger, CombinedPriceListTriggerHandler $triggerHandler)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/Async/PriceListProcessor.php#L60 "Oro\Bundle\PricingBundle\Async\PriceListProcessor")</sup> method was changed to `PriceListProcessor::__construct(PriceListTriggerFactory $triggerFactory, ManagerRegistry $registry, CombinedPriceListsBuilderFacade $combinedPriceListsBuilderFacade, LoggerInterface $logger, CombinedPriceListTriggerHandler $triggerHandler, CombinedPriceListActivationStatusHelperInterface $activationStatusHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/Async/PriceListProcessor.php#L67 "Oro\Bundle\PricingBundle\Async\PriceListProcessor")</sup>
* The `SubtotalProviderRegistry::addProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/SubtotalProcessor/SubtotalProviderRegistry.php#L19 "Oro\Bundle\PricingBundle\SubtotalProcessor\SubtotalProviderRegistry::addProvider")</sup> method was removed.
* The `LineItemNotPricedSubtotalProvider::getName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/SubtotalProcessor/Provider/LineItemNotPricedSubtotalProvider.php#L74 "Oro\Bundle\PricingBundle\SubtotalProcessor\Provider\LineItemNotPricedSubtotalProvider::getName")</sup> method was removed.
* The `LineItemSubtotalProvider::getName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/SubtotalProcessor/Provider/LineItemSubtotalProvider.php#L51 "Oro\Bundle\PricingBundle\SubtotalProcessor\Provider\LineItemSubtotalProvider::getName")</sup> method was removed.
* The `CustomerFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/Form/Extension/CustomerFormExtension.php#L45 "Oro\Bundle\PricingBundle\Form\Extension\CustomerFormExtension::getExtendedType")</sup> method was removed.
* The `CustomerGroupFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/Form/Extension/CustomerGroupFormExtension.php#L45 "Oro\Bundle\PricingBundle\Form\Extension\CustomerGroupFormExtension::getExtendedType")</sup> method was removed.
* The `FrontendPriceFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/Form/Extension/FrontendPriceFormExtension.php#L72 "Oro\Bundle\PricingBundle\Form\Extension\FrontendPriceFormExtension::getExtendedType")</sup> method was removed.
* The `PriceAttributesProductFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/Form/Extension/PriceAttributesProductFormExtension.php#L50 "Oro\Bundle\PricingBundle\Form\Extension\PriceAttributesProductFormExtension::getExtendedType")</sup> method was removed.
* The `PriceListFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/Form/Extension/PriceListFormExtension.php#L32 "Oro\Bundle\PricingBundle\Form\Extension\PriceListFormExtension::getExtendedType")</sup> method was removed.
* The `ProductFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/Form/Extension/ProductFormExtension.php#L203 "Oro\Bundle\PricingBundle\Form\Extension\ProductFormExtension::getExtendedType")</sup> method was removed.
* The following methods in class `CombinedPriceListGarbageCollector`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/Builder/CombinedPriceListGarbageCollector.php#L74 "Oro\Bundle\PricingBundle\Builder\CombinedPriceListGarbageCollector")</sup> were removed:
   - `setCombinedPriceListClass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/Builder/CombinedPriceListGarbageCollector.php#L74 "Oro\Bundle\PricingBundle\Builder\CombinedPriceListGarbageCollector::setCombinedPriceListClass")</sup>
   - `getCombinedPriceListsRepository`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/Builder/CombinedPriceListGarbageCollector.php#L83 "Oro\Bundle\PricingBundle\Builder\CombinedPriceListGarbageCollector::getCombinedPriceListsRepository")</sup>
   - `getCombinedPriceListRelationRepository`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/Builder/CombinedPriceListGarbageCollector.php#L96 "Oro\Bundle\PricingBundle\Builder\CombinedPriceListGarbageCollector::getCombinedPriceListRelationRepository")</sup>
* The `SubtotalProviderInterface::getName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/SubtotalProcessor/Model/SubtotalProviderInterface.php#L12 "Oro\Bundle\PricingBundle\SubtotalProcessor\Model\SubtotalProviderInterface::getName")</sup> method was removed.
* The following properties in class `CombinedPriceListGarbageCollector`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/Builder/CombinedPriceListGarbageCollector.php#L26 "Oro\Bundle\PricingBundle\Builder\CombinedPriceListGarbageCollector")</sup> were removed:
   - `$combinedPriceListClass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/Builder/CombinedPriceListGarbageCollector.php#L26 "Oro\Bundle\PricingBundle\Builder\CombinedPriceListGarbageCollector::$combinedPriceListClass")</sup>
   - `$combinedPriceListsRepository`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/Builder/CombinedPriceListGarbageCollector.php#L31 "Oro\Bundle\PricingBundle\Builder\CombinedPriceListGarbageCollector::$combinedPriceListsRepository")</sup>
* The `PriceListProductAssignmentBuilder::$insertFromSelectQueryExecutor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/Builder/PriceListProductAssignmentBuilder.php#L35 "Oro\Bundle\PricingBundle\Builder\PriceListProductAssignmentBuilder::$insertFromSelectQueryExecutor")</sup> property was removed.
* The `ProductPriceBuilder::$insertFromSelectQueryExecutor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PricingBundle/Builder/ProductPriceBuilder.php#L35 "Oro\Bundle\PricingBundle\Builder\ProductPriceBuilder::$insertFromSelectQueryExecutor")</sup> property was removed.

ProductBundle
-------------
* The following classes were removed:
   - `ProductLineItem`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/Validator/Constraints/ProductLineItem.php#L10 "Oro\Bundle\ProductBundle\Validator\Constraints\ProductLineItem")</sup>
   - `ProductLineItemValidator`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/Validator/Constraints/ProductLineItemValidator.php#L13 "Oro\Bundle\ProductBundle\Validator\Constraints\ProductLineItemValidator")</sup>
   - `DefaultProductUnitProvidersCompilerPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/DependencyInjection/CompilerPass/DefaultProductUnitProvidersCompilerPass.php#L9 "Oro\Bundle\ProductBundle\DependencyInjection\CompilerPass\DefaultProductUnitProvidersCompilerPass")</sup>
   - `ValidateQuantity`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/Api/Processor/ValidateQuantity.php#L17 "Oro\Bundle\ProductBundle\Api\Processor\ValidateQuantity")</sup>
* The `ChainDefaultProductUnitProvider::addProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/Provider/ChainDefaultProductUnitProvider.php#L19 "Oro\Bundle\ProductBundle\Provider\ChainDefaultProductUnitProvider::addProvider")</sup> method was removed.
* The following methods in class `AbstractProductDataStorageExtension`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/Form/Extension/AbstractProductDataStorageExtension.php#L263 "Oro\Bundle\ProductBundle\Form\Extension\AbstractProductDataStorageExtension")</sup> were removed:
   - `getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/Form/Extension/AbstractProductDataStorageExtension.php#L263 "Oro\Bundle\ProductBundle\Form\Extension\AbstractProductDataStorageExtension::getExtendedType")</sup>
   - `setExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/Form/Extension/AbstractProductDataStorageExtension.php#L271 "Oro\Bundle\ProductBundle\Form\Extension\AbstractProductDataStorageExtension::setExtendedType")</sup>
* The `AttributeConfigExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/Form/Extension/AttributeConfigExtension.php#L158 "Oro\Bundle\ProductBundle\Form\Extension\AttributeConfigExtension::getExtendedType")</sup> method was removed.
* The `ChoicesProductPrimaryUnitSelectionOwnerTypeExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/Form/Extension/ChoicesProductPrimaryUnitSelectionOwnerTypeExtension.php#L79 "Oro\Bundle\ProductBundle\Form\Extension\ChoicesProductPrimaryUnitSelectionOwnerTypeExtension::getExtendedType")</sup> method was removed.
* The `EnumValueCollectionExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/Form/Extension/EnumValueCollectionExtension.php#L44 "Oro\Bundle\ProductBundle\Form\Extension\EnumValueCollectionExtension::getExtendedType")</sup> method was removed.
* The `IntegerExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/Form/Extension/IntegerExtension.php#L16 "Oro\Bundle\ProductBundle\Form\Extension\IntegerExtension::getExtendedType")</sup> method was removed.
* The `ProductCollectionExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/Form/Extension/ProductCollectionExtension.php#L86 "Oro\Bundle\ProductBundle\Form\Extension\ProductCollectionExtension::getExtendedType")</sup> method was removed.
* The `FieldsProvider::getFieldsProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/Expression/FieldsProvider.php#L219 "Oro\Bundle\ProductBundle\Expression\FieldsProvider::getFieldsProvider")</sup> method was removed.
* The `SegmentMessageFactory::__construct(RegistryInterface $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/Model/SegmentMessageFactory.php#L42 "Oro\Bundle\ProductBundle\Model\SegmentMessageFactory")</sup> method was changed to `SegmentMessageFactory::__construct(ManagerRegistry $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ProductBundle/Model/SegmentMessageFactory.php#L42 "Oro\Bundle\ProductBundle\Model\SegmentMessageFactory")</sup>
* The `AbstractSegmentProductsProvider::__construct(SegmentManager $segmentManager, ProductSegmentProviderInterface $productSegmentProvider, ProductManager $productManager, ConfigManager $configManager, RegistryInterface $registry, TokenStorageInterface $tokenStorage, SymmetricCrypterInterface $crypter, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/Layout/DataProvider/AbstractSegmentProductsProvider.php#L69 "Oro\Bundle\ProductBundle\Layout\DataProvider\AbstractSegmentProductsProvider")</sup> method was changed to `AbstractSegmentProductsProvider::__construct(SegmentManager $segmentManager, ProductSegmentProviderInterface $productSegmentProvider, ProductManager $productManager, ConfigManager $configManager, ManagerRegistry $registry, TokenStorageInterface $tokenStorage, SymmetricCrypterInterface $crypter, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ProductBundle/Layout/DataProvider/AbstractSegmentProductsProvider.php#L71 "Oro\Bundle\ProductBundle\Layout\DataProvider\AbstractSegmentProductsProvider")</sup>
* The `ChoicesProductPrimaryUnitSelectionOwnerTypeExtension::__construct($childName, $extendedType, ProductUnitFieldsSettingsInterface $productFormUnitFieldsSettings)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/Form/Extension/ChoicesProductPrimaryUnitSelectionOwnerTypeExtension.php#L36 "Oro\Bundle\ProductBundle\Form\Extension\ChoicesProductPrimaryUnitSelectionOwnerTypeExtension")</sup> method was changed to `ChoicesProductPrimaryUnitSelectionOwnerTypeExtension::__construct($childName, ProductUnitFieldsSettingsInterface $productFormUnitFieldsSettings)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ProductBundle/Form/Extension/ChoicesProductPrimaryUnitSelectionOwnerTypeExtension.php#L31 "Oro\Bundle\ProductBundle\Form\Extension\ChoicesProductPrimaryUnitSelectionOwnerTypeExtension")</sup>
* The `ProductCollectionExtension::__construct(TranslatorInterface $translator, $extendedType)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/Form/Extension/ProductCollectionExtension.php#L32 "Oro\Bundle\ProductBundle\Form\Extension\ProductCollectionExtension")</sup> method was changed to `ProductCollectionExtension::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ProductBundle/Form/Extension/ProductCollectionExtension.php#L27 "Oro\Bundle\ProductBundle\Form\Extension\ProductCollectionExtension")</sup>
* The `FieldsProvider::__construct(ServiceLink $entityFieldProviderLink, DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/Expression/FieldsProvider.php#L59 "Oro\Bundle\ProductBundle\Expression\FieldsProvider")</sup> method was changed to `FieldsProvider::__construct(EntityFieldProvider $entityFieldProvider, DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ProductBundle/Expression/FieldsProvider.php#L61 "Oro\Bundle\ProductBundle\Expression\FieldsProvider")</sup>
* The `DisplaySimpleVariationsListener::__construct(DataProviderCacheCleaner $cacheCleaner, DataProviderCacheCleaner $categoryCacheCleaner, $configParameter)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/EventListener/Config/DisplaySimpleVariationsListener.php#L30 "Oro\Bundle\ProductBundle\EventListener\Config\DisplaySimpleVariationsListener")</sup> method was changed to `DisplaySimpleVariationsListener::__construct(CacheProvider $productCache, CacheProvider $categoryCache, $configParameter)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ProductBundle/EventListener/Config/DisplaySimpleVariationsListener.php#L28 "Oro\Bundle\ProductBundle\EventListener\Config\DisplaySimpleVariationsListener")</sup>
* The `SegmentEntityListener::__construct(DataProviderCacheCleaner $cacheCleaner)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/Entity/EntityListener/SegmentEntityListener.php#L17 "Oro\Bundle\ProductBundle\Entity\EntityListener\SegmentEntityListener")</sup> method was changed to `SegmentEntityListener::__construct(CacheProvider $productCache)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ProductBundle/Entity/EntityListener/SegmentEntityListener.php#L21 "Oro\Bundle\ProductBundle\Entity\EntityListener\SegmentEntityListener")</sup>
* The `FieldsProvider::$entityFieldProviderLink`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/Expression/FieldsProvider.php#L33 "Oro\Bundle\ProductBundle\Expression\FieldsProvider::$entityFieldProviderLink")</sup> property was removed.
* The following properties in class `DisplaySimpleVariationsListener`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/EventListener/Config/DisplaySimpleVariationsListener.php#L13 "Oro\Bundle\ProductBundle\EventListener\Config\DisplaySimpleVariationsListener")</sup> were removed:
   - `$cacheCleaner`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/EventListener/Config/DisplaySimpleVariationsListener.php#L13 "Oro\Bundle\ProductBundle\EventListener\Config\DisplaySimpleVariationsListener::$cacheCleaner")</sup>
   - `$categoryCacheCleaner`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ProductBundle/EventListener/Config/DisplaySimpleVariationsListener.php#L18 "Oro\Bundle\ProductBundle\EventListener\Config\DisplaySimpleVariationsListener::$categoryCacheCleaner")</sup>

PromotionBundle
---------------
* The `PromotionCompilerPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PromotionBundle/DependencyInjection/Compiler/PromotionCompilerPass.php#L9 "Oro\Bundle\PromotionBundle\DependencyInjection\Compiler\PromotionCompilerPass")</sup> class was removed.
* The `SubtotalProvider::getName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PromotionBundle/Provider/SubtotalProvider.php#L68 "Oro\Bundle\PromotionBundle\Provider\SubtotalProvider::getName")</sup> method was removed.
* The `OrderLineItemTypeExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PromotionBundle/Form/Extension/OrderLineItemTypeExtension.php#L128 "Oro\Bundle\PromotionBundle\Form\Extension\OrderLineItemTypeExtension::getExtendedType")</sup> method was removed.
* The `OrderTypeExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PromotionBundle/Form/Extension/OrderTypeExtension.php#L35 "Oro\Bundle\PromotionBundle\Form\Extension\OrderTypeExtension::getExtendedType")</sup> method was removed.
* The `StrategyRegistry::addStrategy`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PromotionBundle/Discount/Strategy/StrategyRegistry.php#L16 "Oro\Bundle\PromotionBundle\Discount\Strategy\StrategyRegistry::addStrategy")</sup> method was removed.
* The `DiscountContextConverterRegistry::registerConverter`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PromotionBundle/Discount/Converter/DiscountContextConverterRegistry.php#L18 "Oro\Bundle\PromotionBundle\Discount\Converter\DiscountContextConverterRegistry::registerConverter")</sup> method was removed.
* The `ContextDataConverterRegistry::registerConverter`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PromotionBundle/Context/ContextDataConverterRegistry.php#L17 "Oro\Bundle\PromotionBundle\Context\ContextDataConverterRegistry::registerConverter")</sup> method was removed.
* The `ActualizeCouponsStateListener::__construct(RegistryInterface $registry, EntityCouponsProvider $entityCouponsProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PromotionBundle/EventListener/ActualizeCouponsStateListener.php#L28 "Oro\Bundle\PromotionBundle\EventListener\ActualizeCouponsStateListener")</sup> method was changed to `ActualizeCouponsStateListener::__construct(ManagerRegistry $registry, EntityCouponsProvider $entityCouponsProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PromotionBundle/EventListener/ActualizeCouponsStateListener.php#L28 "Oro\Bundle\PromotionBundle\EventListener\ActualizeCouponsStateListener")</sup>
* The `StrategyRegistry::getStrategyByAlias($alias)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/PromotionBundle/Discount/Strategy/StrategyRegistry.php#L33 "Oro\Bundle\PromotionBundle\Discount\Strategy\StrategyRegistry")</sup> method was changed to `StrategyRegistry::getStrategyByAlias(string $alias)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PromotionBundle/Discount/Strategy/StrategyRegistry.php#L46 "Oro\Bundle\PromotionBundle\Discount\Strategy\StrategyRegistry")</sup>

RFPBundle
---------
* The `CurrencyCheckerProvider::__construct(RegistryInterface $doctrine)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/RFPBundle/Provider/CurrencyCheckerProvider.php#L18 "Oro\Bundle\RFPBundle\Provider\CurrencyCheckerProvider")</sup> method was changed to `CurrencyCheckerProvider::__construct(ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/RFPBundle/Provider/CurrencyCheckerProvider.php#L21 "Oro\Bundle\RFPBundle\Provider\CurrencyCheckerProvider")</sup>
* The `OrderDataStorageExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/RFPBundle/Form/Extension/OrderDataStorageExtension.php#L69 "Oro\Bundle\RFPBundle\Form\Extension\OrderDataStorageExtension::getExtendedType")</sup> method was removed.
* The `OrderLineItemDataStorageExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/RFPBundle/Form/Extension/OrderLineItemDataStorageExtension.php#L188 "Oro\Bundle\RFPBundle\Form\Extension\OrderLineItemDataStorageExtension::getExtendedType")</sup> method was removed.

RedirectBundle
--------------
* The following classes were removed:
   - `ContextUrlProviderCompilerPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/RedirectBundle/DependencyInjection/Compiler/ContextUrlProviderCompilerPass.php#L9 "Oro\Bundle\RedirectBundle\DependencyInjection\Compiler\ContextUrlProviderCompilerPass")</sup>
   - `RoutingInformationProviderCompilerPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/RedirectBundle/DependencyInjection/Compiler/RoutingInformationProviderCompilerPass.php#L9 "Oro\Bundle\RedirectBundle\DependencyInjection\Compiler\RoutingInformationProviderCompilerPass")</sup>
* The `ContextUrlProviderRegistry::registerProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/RedirectBundle/Provider/ContextUrlProviderRegistry.php#L16 "Oro\Bundle\RedirectBundle\Provider\ContextUrlProviderRegistry::registerProvider")</sup> method was removed.
* The `RoutingInformationProvider::registerProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/RedirectBundle/Provider/RoutingInformationProvider.php#L18 "Oro\Bundle\RedirectBundle\Provider\RoutingInformationProvider::registerProvider")</sup> method was removed.
* The `ChangedSlugsHelper::__construct(FormFactoryInterface $formFactory, RequestStack $requestStack, SlugEntityGenerator $slugGenerator, SlugUrlDiffer $slugUrlDiffer)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/RedirectBundle/Helper/ChangedSlugsHelper.php#L39 "Oro\Bundle\RedirectBundle\Helper\ChangedSlugsHelper")</sup> method was changed to `ChangedSlugsHelper::__construct(FormFactoryInterface $formFactory, RequestStack $requestStack, SlugEntityGenerator $slugGenerator, SlugUrlDiffer $slugUrlDiffer, DraftHelper $draftHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/RedirectBundle/Helper/ChangedSlugsHelper.php#L50 "Oro\Bundle\RedirectBundle\Helper\ChangedSlugsHelper")</sup>
* The `UniqueSlugResolver::__construct(ManagerRegistry $registry, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/RedirectBundle/Generator/UniqueSlugResolver.php#L43 "Oro\Bundle\RedirectBundle\Generator\UniqueSlugResolver")</sup> method was changed to `UniqueSlugResolver::__construct(ManagerRegistry $registry, AclHelper $aclHelper, EventDispatcherInterface $eventDispatcher)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/RedirectBundle/Generator/UniqueSlugResolver.php#L52 "Oro\Bundle\RedirectBundle\Generator\UniqueSlugResolver")</sup>
* The `RedirectExceptionListener::__construct(ManagerRegistry $registry, ScopeManager $scopeManager, MatchedUrlDecisionMaker $matchedUrlDecisionMaker)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/RedirectBundle/EventListener/RedirectExceptionListener.php#L40 "Oro\Bundle\RedirectBundle\EventListener\RedirectExceptionListener")</sup> method was changed to `RedirectExceptionListener::__construct(SlugRedirectMatcher $redirectMatcher, MatchedUrlDecisionMaker $matchedUrlDecisionMaker)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/RedirectBundle/EventListener/RedirectExceptionListener.php#L27 "Oro\Bundle\RedirectBundle\EventListener\RedirectExceptionListener")</sup>
* The `ComputeUrlFields::__construct(DoctrineHelper $doctrineHelper, LocalizationHelper $localizationHelper, ConfigManager $configManager, string $urlField, string $urlsField)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/RedirectBundle/Api/Processor/ComputeUrlFields.php#L41 "Oro\Bundle\RedirectBundle\Api\Processor\ComputeUrlFields")</sup> method was changed to `ComputeUrlFields::__construct(DoctrineHelper $doctrineHelper, LocalizationHelper $localizationHelper, ConfigManager $configManager, UrlGeneratorInterface $urlGenerator, string $urlField, string $urlsField)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/RedirectBundle/Api/Processor/ComputeUrlFields.php#L47 "Oro\Bundle\RedirectBundle\Api\Processor\ComputeUrlFields")</sup>

SEOBundle
---------
* The `BrandFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/SEOBundle/Form/Extension/BrandFormExtension.php#L12 "Oro\Bundle\SEOBundle\Form\Extension\BrandFormExtension::getExtendedType")</sup> method was removed.
* The `CategoryFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/SEOBundle/Form/Extension/CategoryFormExtension.php#L12 "Oro\Bundle\SEOBundle\Form\Extension\CategoryFormExtension::getExtendedType")</sup> method was removed.
* The `ContentNodeFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/SEOBundle/Form/Extension/ContentNodeFormExtension.php#L12 "Oro\Bundle\SEOBundle\Form\Extension\ContentNodeFormExtension::getExtendedType")</sup> method was removed.
* The `PageFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/SEOBundle/Form/Extension/PageFormExtension.php#L12 "Oro\Bundle\SEOBundle\Form\Extension\PageFormExtension::getExtendedType")</sup> method was removed.
* The `ProductFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/SEOBundle/Form/Extension/ProductFormExtension.php#L12 "Oro\Bundle\SEOBundle\Form\Extension\ProductFormExtension::getExtendedType")</sup> method was removed.

SaleBundle
----------
* The `CurrencyCheckerProvider::__construct(RegistryInterface $doctrine)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/SaleBundle/Provider/CurrencyCheckerProvider.php#L18 "Oro\Bundle\SaleBundle\Provider\CurrencyCheckerProvider")</sup> method was changed to `CurrencyCheckerProvider::__construct(ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/SaleBundle/Provider/CurrencyCheckerProvider.php#L21 "Oro\Bundle\SaleBundle\Provider\CurrencyCheckerProvider")</sup>
* The `QuoteType::getName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/SaleBundle/Form/Type/QuoteType.php#L214 "Oro\Bundle\SaleBundle\Form\Type\QuoteType::getName")</sup> method was removed.
* The `QuoteEmailTemplateExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/SaleBundle/Form/Extension/QuoteEmailTemplateExtension.php#L81 "Oro\Bundle\SaleBundle\Form\Extension\QuoteEmailTemplateExtension::getExtendedType")</sup> method was removed.

ShippingBundle
--------------
* The following classes were removed:
   - `FreightClassExtensionPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ShippingBundle/DependencyInjection/CompilerPass/FreightClassExtensionPass.php#L8 "Oro\Bundle\ShippingBundle\DependencyInjection\CompilerPass\FreightClassExtensionPass")</sup>
   - `ShippingMethodsCompilerPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ShippingBundle/DependencyInjection/CompilerPass/ShippingMethodsCompilerPass.php#L9 "Oro\Bundle\ShippingBundle\DependencyInjection\CompilerPass\ShippingMethodsCompilerPass")</sup>
* The `OroShippingBundle::build`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ShippingBundle/OroShippingBundle.php#L29 "Oro\Bundle\ShippingBundle\OroShippingBundle::build")</sup> method was removed.
* The `FreightClassesProvider::addExtension`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ShippingBundle/Provider/FreightClassesProvider.php#L18 "Oro\Bundle\ShippingBundle\Provider\FreightClassesProvider::addExtension")</sup> method was removed.
* The `CompositeShippingMethodProvider::addProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ShippingBundle/Method/CompositeShippingMethodProvider.php#L15 "Oro\Bundle\ShippingBundle\Method\CompositeShippingMethodProvider::addProvider")</sup> method was removed.
* The `ProductFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ShippingBundle/Form/Extension/ProductFormExtension.php#L188 "Oro\Bundle\ShippingBundle\Form\Extension\ProductFormExtension::getExtendedType")</sup> method was removed.

ShoppingListBundle
------------------
* The `ShoppingListManager::create($flush = false, $label)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ShoppingListBundle/Manager/ShoppingListManager.php#L106 "Oro\Bundle\ShoppingListBundle\Manager\ShoppingListManager")</sup> method was changed to `ShoppingListManager::create($flush = false, $label, CustomerUser $customerUser = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ShoppingListBundle/Manager/ShoppingListManager.php#L106 "Oro\Bundle\ShoppingListBundle\Manager\ShoppingListManager")</sup>
* The `ShoppingListOwnerManager::__construct(AclHelper $aclHelper, RegistryInterface $registry, ConfigProvider $configProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ShoppingListBundle/Manager/ShoppingListOwnerManager.php#L41 "Oro\Bundle\ShoppingListBundle\Manager\ShoppingListOwnerManager")</sup> method was changed to `ShoppingListOwnerManager::__construct(AclHelper $aclHelper, ManagerRegistry $registry, ConfigProvider $configProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ShoppingListBundle/Manager/ShoppingListOwnerManager.php#L40 "Oro\Bundle\ShoppingListBundle\Manager\ShoppingListOwnerManager")</sup>
* The `ShoppingListTotalListener::__construct(RegistryInterface $registry, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ShoppingListBundle/EventListener/ShoppingListTotalListener.php#L45 "Oro\Bundle\ShoppingListBundle\EventListener\ShoppingListTotalListener")</sup> method was changed to `ShoppingListTotalListener::__construct(ManagerRegistry $registry, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ShoppingListBundle/EventListener/ShoppingListTotalListener.php#L45 "Oro\Bundle\ShoppingListBundle\EventListener\ShoppingListTotalListener")</sup>
* The `ClearExpiredCustomerVisitorsCommand::__construct(RegistryInterface $doctrine, ExtendDbIdentifierNameGenerator $dbIdentifierNameGenerator, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ShoppingListBundle/Command/ClearExpiredCustomerVisitorsCommand.php#L42 "Oro\Bundle\ShoppingListBundle\Command\ClearExpiredCustomerVisitorsCommand")</sup> method was changed to `ClearExpiredCustomerVisitorsCommand::__construct(ManagerRegistry $doctrine, ExtendDbIdentifierNameGenerator $dbIdentifierNameGenerator, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ShoppingListBundle/Command/ClearExpiredCustomerVisitorsCommand.php#L42 "Oro\Bundle\ShoppingListBundle\Command\ClearExpiredCustomerVisitorsCommand")</sup>
* The `ClearExpiredShoppingListsCommand::__construct(RegistryInterface $doctrine, ExtendDbIdentifierNameGenerator $dbIdentifierNameGenerator, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/ShoppingListBundle/Command/ClearExpiredShoppingListsCommand.php#L42 "Oro\Bundle\ShoppingListBundle\Command\ClearExpiredShoppingListsCommand")</sup> method was changed to `ClearExpiredShoppingListsCommand::__construct(ManagerRegistry $doctrine, ExtendDbIdentifierNameGenerator $dbIdentifierNameGenerator, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ShoppingListBundle/Command/ClearExpiredShoppingListsCommand.php#L42 "Oro\Bundle\ShoppingListBundle\Command\ClearExpiredShoppingListsCommand")</sup>

TaxBundle
---------
* The following classes were removed:
   - `AddressMatcherRegistryPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/TaxBundle/DependencyInjection/CompilerPass/AddressMatcherRegistryPass.php#L8 "Oro\Bundle\TaxBundle\DependencyInjection\CompilerPass\AddressMatcherRegistryPass")</sup>
   - `TaxMapperPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/TaxBundle/DependencyInjection/CompilerPass/TaxMapperPass.php#L9 "Oro\Bundle\TaxBundle\DependencyInjection\CompilerPass\TaxMapperPass")</sup>
   - `TaxProviderPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/TaxBundle/DependencyInjection/CompilerPass/TaxProviderPass.php#L9 "Oro\Bundle\TaxBundle\DependencyInjection\CompilerPass\TaxProviderPass")</sup>
* The `BuiltInTaxProvider::getName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/TaxBundle/Provider/BuiltInTaxProvider.php#L30 "Oro\Bundle\TaxBundle\Provider\BuiltInTaxProvider::getName")</sup> method was removed.
* The `TaxProviderRegistry::addProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/TaxBundle/Provider/TaxProviderRegistry.php#L32 "Oro\Bundle\TaxBundle\Provider\TaxProviderRegistry::addProvider")</sup> method was removed.
* The `TaxSubtotalProvider::getName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/TaxBundle/Provider/TaxSubtotalProvider.php#L60 "Oro\Bundle\TaxBundle\Provider\TaxSubtotalProvider::getName")</sup> method was removed.
* The `AbstractOrderMapper::getProcessingClassName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/TaxBundle/OrderTax/Mapper/AbstractOrderMapper.php#L73 "Oro\Bundle\TaxBundle\OrderTax\Mapper\AbstractOrderMapper::getProcessingClassName")</sup> method was removed.
* The `OrderMapper::setOrderLineItemMapper`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/TaxBundle/OrderTax/Mapper/OrderMapper.php#L68 "Oro\Bundle\TaxBundle\OrderTax\Mapper\OrderMapper::setOrderLineItemMapper")</sup> method was removed.
* The `AddressMatcherRegistry::addMatcher`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/TaxBundle/Matcher/AddressMatcherRegistry.php#L40 "Oro\Bundle\TaxBundle\Matcher\AddressMatcherRegistry::addMatcher")</sup> method was removed.
* The `CustomerGroupTaxExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/TaxBundle/Form/Extension/CustomerGroupTaxExtension.php#L17 "Oro\Bundle\TaxBundle\Form\Extension\CustomerGroupTaxExtension::getExtendedType")</sup> method was removed.
* The `CustomerTaxExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/TaxBundle/Form/Extension/CustomerTaxExtension.php#L17 "Oro\Bundle\TaxBundle\Form\Extension\CustomerTaxExtension::getExtendedType")</sup> method was removed.
* The `OrderLineItemTypeExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/TaxBundle/Form/Extension/OrderLineItemTypeExtension.php#L57 "Oro\Bundle\TaxBundle\Form\Extension\OrderLineItemTypeExtension::getExtendedType")</sup> method was removed.
* The `OrderLineItemsCollectionTypeExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/TaxBundle/Form/Extension/OrderLineItemsCollectionTypeExtension.php#L47 "Oro\Bundle\TaxBundle\Form\Extension\OrderLineItemsCollectionTypeExtension::getExtendedType")</sup> method was removed.
* The `ProductTaxExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/TaxBundle/Form/Extension/ProductTaxExtension.php#L17 "Oro\Bundle\TaxBundle\Form\Extension\ProductTaxExtension::getExtendedType")</sup> method was removed.
* The `TaxFactory::addMapper`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/TaxBundle/Factory/TaxFactory.php#L22 "Oro\Bundle\TaxBundle\Factory\TaxFactory::addMapper")</sup> method was removed.
* The `TaxProviderInterface::getName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/TaxBundle/Provider/TaxProviderInterface.php#L25 "Oro\Bundle\TaxBundle\Provider\TaxProviderInterface::getName")</sup> method was removed.
* The `TaxMapperInterface::getProcessingClassName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/TaxBundle/Mapper/TaxMapperInterface.php#L20 "Oro\Bundle\TaxBundle\Mapper\TaxMapperInterface::getProcessingClassName")</sup> method was removed.
* The `TaxProviderRegistry::__construct(ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/TaxBundle/Provider/TaxProviderRegistry.php#L22 "Oro\Bundle\TaxBundle\Provider\TaxProviderRegistry")</sup> method was changed to `TaxProviderRegistry::__construct(array $providerNames, ContainerInterface $providerContainer, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/TaxBundle/Provider/TaxProviderRegistry.php#L31 "Oro\Bundle\TaxBundle\Provider\TaxProviderRegistry")</sup>
* The `AbstractOrderMapper::__construct(ContextEventDispatcher $contextEventDispatcher, TaxationAddressProvider $addressProvider, $className)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/TaxBundle/OrderTax/Mapper/AbstractOrderMapper.php#L33 "Oro\Bundle\TaxBundle\OrderTax\Mapper\AbstractOrderMapper")</sup> method was changed to `AbstractOrderMapper::__construct(ContextEventDispatcher $contextEventDispatcher, TaxationAddressProvider $addressProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/TaxBundle/OrderTax/Mapper/AbstractOrderMapper.php#L27 "Oro\Bundle\TaxBundle\OrderTax\Mapper\AbstractOrderMapper")</sup>
* The `ResolvableMatcher::__construct(AddressMatcherRegistryInterface $addressMatcherRegistry, AddressResolverSettingsProvider $taxationSettingsProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/TaxBundle/Matcher/ResolvableMatcher.php#L21 "Oro\Bundle\TaxBundle\Matcher\ResolvableMatcher")</sup> method was changed to `ResolvableMatcher::__construct(AddressMatcherRegistry $addressMatcherRegistry, AddressResolverSettingsProvider $taxationSettingsProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/TaxBundle/Matcher/ResolvableMatcher.php#L24 "Oro\Bundle\TaxBundle\Matcher\ResolvableMatcher")</sup>
* The `OrderLineItemTypeExtension::__construct(TaxationSettingsProvider $taxationSettingsProvider, TaxProviderRegistry $taxProviderRegistry, TotalProcessorProvider $totalProcessorProvider, SectionProvider $sectionProvider, $extendedType)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/TaxBundle/Form/Extension/OrderLineItemTypeExtension.php#L40 "Oro\Bundle\TaxBundle\Form\Extension\OrderLineItemTypeExtension")</sup> method was changed to `OrderLineItemTypeExtension::__construct(TaxationSettingsProvider $taxationSettingsProvider, TaxProviderRegistry $taxProviderRegistry, TotalProcessorProvider $totalProcessorProvider, SectionProvider $sectionProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/TaxBundle/Form/Extension/OrderLineItemTypeExtension.php#L37 "Oro\Bundle\TaxBundle\Form\Extension\OrderLineItemTypeExtension")</sup>
* The `OrderLineItemsCollectionTypeExtension::__construct(TaxationSettingsProvider $taxationSettingsProvider, TaxValueManager $taxValueManager, $extendedType)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/TaxBundle/Form/Extension/OrderLineItemsCollectionTypeExtension.php#L34 "Oro\Bundle\TaxBundle\Form\Extension\OrderLineItemsCollectionTypeExtension")</sup> method was changed to `OrderLineItemsCollectionTypeExtension::__construct(TaxationSettingsProvider $taxationSettingsProvider, TaxValueManager $taxValueManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/TaxBundle/Form/Extension/OrderLineItemsCollectionTypeExtension.php#L29 "Oro\Bundle\TaxBundle\Form\Extension\OrderLineItemsCollectionTypeExtension")</sup>
* The `AbstractOrderMapper::$className`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/TaxBundle/OrderTax/Mapper/AbstractOrderMapper.php#L26 "Oro\Bundle\TaxBundle\OrderTax\Mapper\AbstractOrderMapper::$className")</sup> property was removed.
* The `OrderLineItemTypeExtension::$extendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/TaxBundle/Form/Extension/OrderLineItemTypeExtension.php#L31 "Oro\Bundle\TaxBundle\Form\Extension\OrderLineItemTypeExtension::$extendedType")</sup> property was removed.
* The `AddressMatcherRegistryInterface`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/TaxBundle/Matcher/AddressMatcherRegistryInterface.php#L5 "Oro\Bundle\TaxBundle\Matcher\AddressMatcherRegistryInterface")</sup> interface was removed.

VisibilityBundle
----------------
* The `CategoryVisibilityResolver::__construct(Registry $registry, ConfigManager $configManager, ScopeManager $scopeManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/VisibilityBundle/Visibility/Resolver/CategoryVisibilityResolver.php#L41 "Oro\Bundle\VisibilityBundle\Visibility\Resolver\CategoryVisibilityResolver")</sup> method was changed to `CategoryVisibilityResolver::__construct(ManagerRegistry $doctrine, ConfigManager $configManager, ScopeManager $scopeManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/VisibilityBundle/Visibility/Resolver/CategoryVisibilityResolver.php#L40 "Oro\Bundle\VisibilityBundle\Visibility\Resolver\CategoryVisibilityResolver")</sup>
* The `CategoryVisibilityProcessor::__construct(ManagerRegistry $registry, MessageFactoryInterface $messageFactory, LoggerInterface $logger, CacheBuilderInterface $cacheBuilder, ProductMessageHandler $productMessageHandler)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/VisibilityBundle/Async/Visibility/CategoryVisibilityProcessor.php#L30 "Oro\Bundle\VisibilityBundle\Async\Visibility\CategoryVisibilityProcessor")</sup> method was changed to `CategoryVisibilityProcessor::__construct(ManagerRegistry $registry, MessageFactoryInterface $messageFactory, LoggerInterface $logger, CacheBuilderInterface $cacheBuilder, ProductMessageHandler $productMessageHandler)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/VisibilityBundle/Async/Visibility/CategoryVisibilityProcessor.php#L30 "Oro\Bundle\VisibilityBundle\Async\Visibility\CategoryVisibilityProcessor")</sup>
* The `CategoryVisibilityResolver::$registry`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/VisibilityBundle/Visibility/Resolver/CategoryVisibilityResolver.php#L29 "Oro\Bundle\VisibilityBundle\Visibility\Resolver\CategoryVisibilityResolver::$registry")</sup> property was removed.
* The `CategoryFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/VisibilityBundle/Form/Extension/CategoryFormExtension.php#L18 "Oro\Bundle\VisibilityBundle\Form\Extension\CategoryFormExtension::getExtendedType")</sup> method was removed.

WebCatalogBundle
----------------
* The following classes were removed:
   - `ContentVariantProviderCompilerPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/WebCatalogBundle/DependencyInjection/Compiler/ContentVariantProviderCompilerPass.php#L9 "Oro\Bundle\WebCatalogBundle\DependencyInjection\Compiler\ContentVariantProviderCompilerPass")</sup>
   - `ContentVariantTypeCompilerPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/WebCatalogBundle/DependencyInjection/Compiler/ContentVariantTypeCompilerPass.php#L9 "Oro\Bundle\WebCatalogBundle\DependencyInjection\Compiler\ContentVariantTypeCompilerPass")</sup>
   - `ContentVariantProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/WebCatalogBundle/ContentVariantProvider/ContentVariantProvider.php#L9 "Oro\Bundle\WebCatalogBundle\ContentVariantProvider\ContentVariantProvider")</sup>
   - `ContentVariantProviderRegistry`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/WebCatalogBundle/ContentVariantProvider/ContentVariantProviderRegistry.php#L7 "Oro\Bundle\WebCatalogBundle\ContentVariantProvider\ContentVariantProviderRegistry")</sup>
* The `PageVariantTypeExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/WebCatalogBundle/Form/Extension/PageVariantTypeExtension.php#L23 "Oro\Bundle\WebCatalogBundle\Form\Extension\PageVariantTypeExtension::getExtendedType")</sup> method was removed.
* The `WebCatalogScopeExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/WebCatalogBundle/Form/Extension/WebCatalogScopeExtension.php#L59 "Oro\Bundle\WebCatalogBundle\Form\Extension\WebCatalogScopeExtension::getExtendedType")</sup> method was removed.
* The `ContentVariantTypeRegistry::addContentVariantType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/WebCatalogBundle/ContentVariantType/ContentVariantTypeRegistry.php#L19 "Oro\Bundle\WebCatalogBundle\ContentVariantType\ContentVariantTypeRegistry::addContentVariantType")</sup> method was removed.

WebsiteSearchBundle
-------------------
* The `ReindexCommand::__construct(RegistryInterface $doctrine, EventDispatcherInterface $eventDispatcher)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/WebsiteSearchBundle/Command/ReindexCommand.php#L31 "Oro\Bundle\WebsiteSearchBundle\Command\ReindexCommand")</sup> method was changed to `ReindexCommand::__construct(ManagerRegistry $doctrine, EventDispatcherInterface $eventDispatcher)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/WebsiteSearchBundle/Command/ReindexCommand.php#L31 "Oro\Bundle\WebsiteSearchBundle\Command\ReindexCommand")</sup>
* The `AbstractSearchableAttributeType::getType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0-rc/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/AbstractSearchableAttributeType.php#L29 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\AbstractSearchableAttributeType::getType")</sup> method was removed.

